%global module asn1crypto

Name:           python-%{module}
Version:        1.4.0
Release:        %mkrel 1
Summary:        Python ASN.1 library with a focus on performance and a pythonic API
License:        MIT
Group:          Development/Python
Url:            https://github.com/wbond/asn1crypto
Source:         %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Fast ASN.1 parser and serializer with definitions for private keys,
public keys, certificates, CRL, OCSP, CMS, PKCS#3, PKCS#7, PKCS#8,
PKCS#12, PKCS#5, X.509 and TSP.

%package -n python3-%{module}
Summary:        ASN.1 types and codecs
Group:          Development/Python

%description -n python3-%{module}
Fast ASN.1 parser and serializer with definitions for private keys,
public keys, certificates, CRL, OCSP, CMS, PKCS#3, PKCS#7, PKCS#8,
PKCS#12, PKCS#5, X.509 and TSP.

%prep
%setup -qn %{module}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc readme* LICENSE
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Mar 13 2022 TerryN <terryn94 at gmail.com>  1.4.0-1pclos2022
- update and rebuild for python 3.10

* Fri Apr 20 2018 marcin82 <fixxer1982 at gmail.com> 0.24.0-1pclos2018
- initial build for PCLinuxOS
